
From: "Randy.Dunlap" <rddunlap@osdl.org>

u64's are not longlongs on sparc64 and ppc64.

Signed-off-by: Randy Dunlap <rddunlap@osdl.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/block/aoe/aoeblk.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

diff -puN drivers/block/aoe/aoeblk.c~aoe-fix-printk-warning-sparc64 drivers/block/aoe/aoeblk.c
--- 25/drivers/block/aoe/aoeblk.c~aoe-fix-printk-warning-sparc64	2005-03-02 17:46:50.000000000 -0800
+++ 25-akpm/drivers/block/aoe/aoeblk.c	2005-03-02 17:46:50.000000000 -0800
@@ -28,7 +28,8 @@ static ssize_t aoedisk_show_mac(struct g
 {
 	struct aoedev *d = disk->private_data;
 
-	return snprintf(page, PAGE_SIZE, "%012llx\n", mac_addr(d->addr));
+	return snprintf(page, PAGE_SIZE, "%012llx\n",
+			(unsigned long long)mac_addr(d->addr));
 }
 static ssize_t aoedisk_show_netif(struct gendisk * disk, char *page)
 {
@@ -241,7 +242,8 @@ aoeblk_gdalloc(void *vp)
 	aoedisk_add_sysfs(d);
 	
 	printk(KERN_INFO "aoe: %012llx e%lu.%lu v%04x has %llu "
-		"sectors\n", mac_addr(d->addr), d->aoemajor, d->aoeminor,
+		"sectors\n", (unsigned long long)mac_addr(d->addr),
+		d->aoemajor, d->aoeminor,
 		d->fw_ver, (long long)d->ssize);
 }
 
_
